# parsl.logconfigs.noop.NoopLogging

class parsl.logconfigs.noop.NoopLogging

  A log configuration which doesn’t configure any logging.

  This is intended to help with benchmarking, but can also be used to configure an environment with no logging from any LogConfig aware component.

  __init__()

  Methods

  `__init__`() |
  `initialize_logging`(*, log_dir, log_name) | Initialize logging in current process.

  initialize_logging(*, log_dir: Path, log_name: str) → Callable[[], None]

    Initialize logging in current process.

    This should be implemented by users wanting to define their own log configuration policies.

    This should be called by Parsl components to initialize logging according to a user supplied policy, rather than a hard-coded log policy.

    This should return a callback to uninitialize the logging initialized by this call.